---
agentTools:
  projectIndex: https://curedao.readme.io/llms.txt
---

# Delete Tracking Reminder

Stop getting notifications to record data for a variable.  Previously recorded measurements will be preserved.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "CureDAO Unified Health API",
    "description": "A platform for participant-centered research and personal data exploration",
    "termsOfService": "https://quantimo.do/tos",
    "contact": {
      "name": "hello@curedao.org"
    },
    "license": {
      "name": "GNU General Public License v3 (GPL-3)",
      "url": "https://tldrlegal.com/license/gnu-general-public-license-v3-(gpl-3)"
    },
    "version": "0.0.1"
  },
  "servers": [
    {
      "url": "https://app.quantimo.do/api"
    }
  ],
  "tags": [
    {
      "name": "reminders",
      "description": "Users can be reminded to track certain variables at a specified frequency with a default value.",
      "externalDocs": {
        "description": "See it in action",
        "url": "https://web.quantimo.do/#/app/reminders-inbox?accessToken=demo"
      }
    }
  ],
  "paths": {
    "/v3/trackingReminders/delete": {
      "delete": {
        "tags": [
          "reminders"
        ],
        "summary": "Delete Tracking Reminder",
        "description": "Stop getting notifications to record data for a variable.  Previously recorded measurements will be preserved.",
        "operationId": "deleteTrackingReminder",
        "parameters": [
          {
            "$ref": "#/components/parameters/userIdParam"
          }
        ],
        "responses": {
          "204": {
            "description": "Successful Operation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CommonResponse"
                }
              }
            }
          },
          "401": {
            "description": "Not Authenticated",
            "content": {}
          }
        },
        "security": [
          {
            "bearerAuth": []
          },
          {
            "curedao_oauth2": [
              "basic"
            ]
          }
        ],
        "x-codegen-request-body-name": "body"
      }
    }
  },
  "components": {
    "schemas": {
      "Button": {
        "required": [
          "link",
          "text"
        ],
        "type": "object",
        "properties": {
          "accessibilityText": {
            "type": "string",
            "description": "Ex: connect"
          },
          "action": {
            "type": "object",
            "properties": {},
            "description": "Action data"
          },
          "additionalInformation": {
            "type": "string",
            "description": "Ex: connect"
          },
          "color": {
            "type": "string",
            "description": "Ex: #f2f2f2"
          },
          "confirmationText": {
            "type": "string",
            "description": "Text to show user before executing functionName"
          },
          "functionName": {
            "type": "string",
            "description": "Name of function to call"
          },
          "parameters": {
            "type": "object",
            "properties": {},
            "description": "Data to provide to functionName or be copied to the card parameters when button is clicked and card is posted to the API"
          },
          "html": {
            "type": "string",
            "description": "Ex: connect"
          },
          "id": {
            "type": "string",
            "description": "HTML element id"
          },
          "image": {
            "type": "string",
            "description": "Ex: https://image.jpg"
          },
          "ionIcon": {
            "type": "string",
            "description": "Ex: ion-refresh"
          },
          "link": {
            "type": "string",
            "description": "Ex: https://local.quantimo.do"
          },
          "stateName": {
            "type": "string",
            "description": "State to go to"
          },
          "stateParams": {
            "type": "object",
            "properties": {},
            "description": "Data to provide to the state"
          },
          "successToastText": {
            "type": "string",
            "description": "Text to show user after executing functionName"
          },
          "successAlertTitle": {
            "type": "string",
            "description": "Text to show user after executing functionName"
          },
          "successAlertBody": {
            "type": "string",
            "description": "Text to show user after executing functionName"
          },
          "text": {
            "type": "string",
            "description": "Ex: Connect"
          },
          "tooltip": {
            "type": "string",
            "description": "Ex: This is a tooltip"
          },
          "webhookUrl": {
            "type": "string",
            "description": "Post here on button click"
          }
        }
      },
      "Card": {
        "required": [
          "id"
        ],
        "type": "object",
        "properties": {
          "actionSheetButtons": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Button"
            }
          },
          "avatar": {
            "type": "string",
            "description": "Smaller square image"
          },
          "avatarCircular": {
            "type": "string",
            "description": "Smaller circular image"
          },
          "backgroundColor": {
            "type": "string",
            "description": "Ex: #f2f2f2"
          },
          "buttons": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Button"
            }
          },
          "buttonsSecondary": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Button"
            }
          },
          "content": {
            "type": "string",
            "description": "Ex: Content"
          },
          "headerTitle": {
            "type": "string",
            "description": "Ex: Title"
          },
          "html": {
            "type": "string",
            "description": "HTML for the entire card."
          },
          "htmlContent": {
            "type": "string",
            "description": "Ex: <div>Content</div>"
          },
          "id": {
            "type": "string",
            "description": "HTML element id"
          },
          "image": {
            "type": "string",
            "description": "Larger image of variable dimensions"
          },
          "inputFields": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/InputField"
            }
          },
          "ionIcon": {
            "type": "string",
            "description": "Ex: ion-refresh"
          },
          "link": {
            "type": "string",
            "description": "A link to a web page or something. Not much more to say about that."
          },
          "parameters": {
            "type": "object",
            "properties": {},
            "description": "Key value pairs derived from user input fields, button clicks, or preset defaults"
          },
          "relatedCards": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Card"
            }
          },
          "selectedButton": {
            "$ref": "#/components/schemas/Button"
          },
          "sharingBody": {
            "type": "string",
            "description": "Ex: sharingBody"
          },
          "sharingButtons": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Button"
            }
          },
          "sharingTitle": {
            "type": "string",
            "description": "Ex: sharingTitle"
          },
          "subHeader": {
            "type": "string",
            "description": "Ex: subTitle"
          },
          "subTitle": {
            "type": "string",
            "description": "Ex: subTitle"
          },
          "title": {
            "type": "string",
            "description": "Ex: Title"
          }
        }
      },
      "CommonResponse": {
        "required": [
          "description",
          "summary"
        ],
        "type": "object",
        "properties": {
          "description": {
            "type": "string",
            "description": "Can be used as body of help info popup"
          },
          "summary": {
            "type": "string",
            "description": "Can be used as title in help info popup"
          },
          "errors": {
            "type": "array",
            "description": "Array of error objects with message property",
            "items": {
              "$ref": "#/components/schemas/Error"
            }
          },
          "status": {
            "type": "string",
            "description": "ex. OK or ERROR"
          },
          "success": {
            "type": "boolean",
            "description": "true or false"
          },
          "code": {
            "type": "number",
            "description": "Response code such as 200"
          },
          "link": {
            "type": "string",
            "description": "A super neat url you might want to share with your users!"
          },
          "card": {
            "$ref": "#/components/schemas/Card"
          }
        }
      },
      "Error": {
        "required": [
          "message"
        ],
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "description": "Error message"
          }
        }
      },
      "InputField": {
        "required": [
          "displayName",
          "type"
        ],
        "type": "object",
        "properties": {
          "displayName": {
            "type": "string"
          },
          "helpText": {
            "type": "string"
          },
          "hint": {
            "type": "string"
          },
          "icon": {
            "type": "string"
          },
          "id": {
            "type": "string",
            "description": "HTML element id"
          },
          "image": {
            "type": "string"
          },
          "key": {
            "type": "string"
          },
          "labelLeft": {
            "type": "string"
          },
          "labelRight": {
            "type": "string"
          },
          "link": {
            "type": "string"
          },
          "maxLength": {
            "type": "integer"
          },
          "maxValue": {
            "type": "number"
          },
          "minLength": {
            "type": "integer"
          },
          "minValue": {
            "type": "number"
          },
          "options": {
            "type": "array",
            "description": "Selector list options",
            "items": {
              "type": "string"
            }
          },
          "placeholder": {
            "type": "string",
            "description": "Ex: Title"
          },
          "postUrl": {
            "type": "string"
          },
          "required": {
            "type": "boolean"
          },
          "show": {
            "type": "boolean",
            "description": "Ex: Title"
          },
          "submitButton": {
            "$ref": "#/components/schemas/Button"
          },
          "type": {
            "type": "string",
            "description": "Ex: Title",
            "enum": [
              "check_box",
              "date",
              "email",
              "number",
              "postal_code",
              "select_option",
              "string",
              "switch",
              "text_area",
              "unit",
              "variable_category"
            ]
          },
          "validationPattern": {
            "type": "string",
            "description": "See http://html5pattern.com/ for examples"
          },
          "value": {
            "type": "string"
          }
        }
      }
    },
    "parameters": {
      "userIdParam": {
        "name": "userId",
        "in": "query",
        "description": "User's id",
        "schema": {
          "type": "number"
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      },
      "curedao_oauth2": {
        "type": "oauth2",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "https://app.quantimo.do/api/v1/oauth/authorize",
            "tokenUrl": "https://app.quantimo.do/api/v1/oauth/token",
            "scopes": {
              "basic": "Allows you to read user info (display name, email, etc)",
              "readmeasurements": "Allows one to read a user's measurements",
              "writemeasurements": "Allows you to write user measurements"
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 98,
      "1": 59,
      "2": 203,
      "3": 63,
      "4": 174,
      "5": 1,
      "6": 81,
      "7": 0,
      "8": 69,
      "9": 170,
      "10": 238,
      "11": 41
    }
  }
}
```